Index: WAeUP_SRP/fceokene/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 3033)
+++ WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 3034)
@@ -24,4 +24,5 @@
   <object name="import_application" meta_type="CPS Layout"/>
   <object name="import_faculty" meta_type="CPS Layout"/>
+  <object name="import_verdict" meta_type="CPS Layout"/>
 
   <object name="department" meta_type="CPS Layout"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml	(revision 3034)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/import_verdict.xml	(revision 3034)
@@ -0,0 +1,91 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="import_verdict" meta_type="CPS Layout">
+  <property name="layout_create_method"></property>
+  <property name="layout_edit_method"></property>
+  <property name="layout_view_method"></property>
+  <property name="style_prefix">layout_waeup_</property>
+  <property name="flexible_widgets"/>
+  <property name="validate_values_expr"></property>
+  <widget name="id" meta_type="String Widget">
+    <property name="title">Id</property>
+    <property name="fields">
+      <element value="student_id"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">Id</property>
+    <property name="label_edit">Id</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+  </widget>
+  <widget name="matric_no" meta_type="String Widget">
+    <property name="title">Matriculation No</property>
+    <property name="fields">
+      <element value="matric_no"/>
+    </property>
+    <property name="label">Matriculation No</property>
+    <property name="label_edit">Matriculation No</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="display_width">10</property>
+  </widget>
+  <widget name="current_session" meta_type="String Widget">
+    <property name="title">Session</property>
+    <property name="fields">
+      <element value="current_session"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">Session</property>
+    <property name="label_edit">Session</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+  </widget>
+  <widget name="current_level" meta_type="WAeUP Level Widget">
+    <property name="title">Current Level</property>
+    <property name="fields">
+      <element value="current_level"/>
+    </property>
+    <property name="label">Current Level</property>
+    <property name="label_edit">Current Level</property>
+    <property name="is_required">True</property>
+  <property name="description">The last level school fee has been paid for</property>
+  <property name="help">The last level school fee has been paid for</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">unset</property>
+  <property name="sorted">True</property>
+ </widget>
+  <widget name="current_verdict" meta_type="WAeUP Verdict Widget">
+    <property name="title">Current Verdict</property>
+    <property name="fields">
+      <element value="current_verdict"/>
+    </property>
+    <property name="label">Current Verdict</property>
+    <property name="label_edit">Current Verdict</property>
+    <property name="description">The verdict of the current level</property>
+    <property name="help">The verdict of the current level</property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">verdicts</property>
+    <property name="sorted">True</property>
+  </widget>
+  <table>
+    <row>
+      <cell name="student_id"/>
+    </row>
+    <row>
+      <cell name="matric_no"/>
+    </row>
+    <row>
+      <cell name="current_session"/>
+    </row>
+    <row>
+      <cell name="verdict"/>
+    </row>
+  </table>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 3033)
+++ WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 3034)
@@ -20,4 +20,5 @@
  <object name="import_student_level_data" meta_type="CPS Schema"/>
  <object name="import_student_course_results" meta_type="CPS Schema"/>
+ <object name="import_verdict" meta_type="CPS Schema"/>
  
  <object name="course" meta_type="CPS Schema"/>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/import_verdict.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/import_verdict.xml	(revision 3034)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/import_verdict.xml	(revision 3034)
@@ -0,0 +1,9 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="import_verdict" meta_type="CPS Schema">
+ <field name="student_id" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="current_level" meta_type="CPS String Field"/>
+ <field name="current_session" meta_type="CPS String Field"/>
+ <field name="current_verdict" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 3033)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 3034)
@@ -14,3 +14,4 @@
  <item key="certificate_course" msgid="">Certificate Course Data</item>
  <item key="application" msgid="">Application Data</item>
+ <item key="verdict" msgid="">Verdicts</item>
 </object>