Index: /WAeUP_SRP/fceokene/waeup_custom/getSimpleStudentStatistics.py
===================================================================
--- /WAeUP_SRP/fceokene/waeup_custom/getSimpleStudentStatistics.py	(revision 3074)
+++ /WAeUP_SRP/fceokene/waeup_custom/getSimpleStudentStatistics.py	(revision 3075)
@@ -42,7 +42,7 @@
 
 
-full_time =       ('ug_ft','',)
-part_time =       ('pce')
-diploma   =       ('prence')
+returning =  ('110','120','200','210','220','300','310','320',)
+new =        ('100')
+prence   =   ('000')
 
 
@@ -58,38 +58,38 @@
 
 
-res_ft = context.students_catalog(mode = full_time)
+res_ft = context.students_catalog(level = returning)
 dict['total_ft'] = len(res_ft)
 
-res_pt = context.students_catalog(mode = part_time)
+res_pt = context.students_catalog(level = new)
 dict['total_pt'] = len(res_pt)
 
-res_dp = context.students_catalog(mode = diploma)
+res_dp = context.students_catalog(level = prence)
 dict['total_dp'] = len(res_dp)
 
-res_Aft = context.students_catalog(review_state = catA, mode = full_time, session = current_session)
+res_Aft = context.students_catalog(review_state = catA, level = returning, session = current_session)
 dict['total_Aft'] = len(res_Aft)
 
-res_Apt = context.students_catalog(review_state = catA, mode = part_time, session = current_session)
+res_Apt = context.students_catalog(review_state = catA, level = new, session = current_session)
 dict['total_Apt'] = len(res_Apt)
 
-res_Adp = context.students_catalog(review_state = catA, mode = diploma, session = current_session)
+res_Adp = context.students_catalog(review_state = catA, level = prence, session = current_session)
 dict['total_Adp'] = len(res_Adp)
 
-res_Bft = context.students_catalog(review_state = catB, mode = full_time, session = current_session)
+res_Bft = context.students_catalog(review_state = catB, level = returning, session = current_session)
 dict['total_Bft'] = len(res_Bft)
 
-res_Bpt = context.students_catalog(review_state = catB, mode = part_time, session = current_session)
+res_Bpt = context.students_catalog(review_state = catB, level = new, session = current_session)
 dict['total_Bpt'] = len(res_Bpt)
 
-res_Bdp = context.students_catalog(review_state = catB, mode = diploma, session = current_session)
+res_Bdp = context.students_catalog(review_state = catB, level = prence, session = current_session)
 dict['total_Bdp'] = len(res_Bdp)
 
-res_Cft = context.students_catalog(review_state = catC, mode = full_time, session = current_session)
+res_Cft = context.students_catalog(review_state = catC, level = returning, session = current_session)
 dict['total_Cft'] = len(res_Cft)
 
-res_Cpt = context.students_catalog(review_state = catC, mode = part_time, session = current_session)
+res_Cpt = context.students_catalog(review_state = catC, level = new, session = current_session)
 dict['total_Cpt'] = len(res_Cpt)
 
-res_Cdp = context.students_catalog(review_state = catC, mode = diploma, session = current_session)
+res_Cdp = context.students_catalog(review_state = catC, level = prence, session = current_session)
 dict['total_Cdp'] = len(res_Cdp)
 
@@ -107,38 +107,38 @@
     dict['title'] = f.Title
 
-    res_ft = context.students_catalog(faculty = f.getId, mode = full_time)
+    res_ft = context.students_catalog(faculty = f.getId, level = returning)
     dict['total_ft'] = len(res_ft)
 
-    res_pt = context.students_catalog(faculty = f.getId, mode = part_time)
+    res_pt = context.students_catalog(faculty = f.getId, level = new)
     dict['total_pt'] = len(res_pt)
 
-    res_dp = context.students_catalog(faculty = f.getId, mode = diploma)
+    res_dp = context.students_catalog(faculty = f.getId, level = prence)
     dict['total_dp'] = len(res_dp)
 
-    res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, mode = full_time, session = current_session)
+    res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, level = returning, session = current_session)
     dict['total_Aft'] = len(res_Aft)
 
-    res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, mode = part_time, session = current_session)
+    res_Apt = context.students_catalog(faculty = f.getId, review_state = catA, level = new, session = current_session)
     dict['total_Apt'] = len(res_Apt)
 
-    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, mode = diploma, session = current_session)
+    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, level = prence, session = current_session)
     dict['total_Adp'] = len(res_Adp)
 
-    res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, mode = full_time, session = current_session)
+    res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, level = returning, session = current_session)
     dict['total_Bft'] = len(res_Bft)
 
-    res_Bpt = context.students_catalog(faculty = f.getId, review_state = catB, mode = part_time, session = current_session)
+    res_Bpt = context.students_catalog(faculty = f.getId, review_state = catB, level = new, session = current_session)
     dict['total_Bpt'] = len(res_Bpt)
 
-    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, mode = diploma, session = current_session)
+    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, level = prence, session = current_session)
     dict['total_Bdp'] = len(res_Bdp)
 
-    res_Cft = context.students_catalog(faculty = f.getId, review_state = catC, mode = full_time, session = current_session)
+    res_Cft = context.students_catalog(faculty = f.getId, review_state = catC, level = returning, session = current_session)
     dict['total_Cft'] = len(res_Cft)
 
-    res_Cpt = context.students_catalog(faculty = f.getId, review_state = catC, mode = part_time, session = current_session)
+    res_Cpt = context.students_catalog(faculty = f.getId, review_state = catC, level = new, session = current_session)
     dict['total_Cpt'] = len(res_Cpt)
 
-    res_Cdp = context.students_catalog(faculty = f.getId, review_state = catC, mode = diploma, session = current_session)
+    res_Cdp = context.students_catalog(faculty = f.getId, review_state = catC, level = prence, session = current_session)
     dict['total_Cdp'] = len(res_Cdp)
 
Index: /WAeUP_SRP/fceokene/waeup_custom/statistics_simple_view.pt
===================================================================
--- /WAeUP_SRP/fceokene/waeup_custom/statistics_simple_view.pt	(revision 3074)
+++ /WAeUP_SRP/fceokene/waeup_custom/statistics_simple_view.pt	(revision 3075)
@@ -27,5 +27,5 @@
             <th>&nbsp;</th>
             
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Total</th>
+            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">All Students</th>
             
             <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category A</th>
@@ -40,16 +40,16 @@
           <tr class="odd ajaxtd">
             <th >School</th>
-            <th align="right">FT</th>
-            <th align="right">PCE</th>
-            <th align="right">PRENCE</th>
-            <th align="right">FT</th>
-            <th align="right">PCE</th>
-            <th align="right">PRENCE</th>
-            <th align="right">FT</th>
-            <th align="right">PCE</th>
-            <th align="right">PRENCE</th>
-            <th align="right">FT</th>
-            <th align="right">PCE</th>
-            <th align="right">PRENCE</th>
+            <th align="right">Returning</th>
+            <th align="right">New</th>
+            <th align="right">Pre-NCE</th>
+            <th align="right">Returning</th>
+            <th align="right">New</th>
+            <th align="right">Pre-NCE</th>
+            <th align="right">Returning</th>
+            <th align="right">New</th>
+            <th align="right">Pre-NCE</th>
+            <th align="right">Returning</th>
+            <th align="right">New</th>
+            <th align="right">Pre-NCE</th>
 
           </tr>
@@ -117,4 +117,6 @@
         <tr><td>Category B: </td> <td>students who registered their courses online (A contains B) in <span tal:content="session_str" /></td></tr>
         <tr><td>Category C: </td> <td>students who 'arrived' in <span tal:content="session_str" /> but have not yet paid their school fee</td></tr>
+        <tr><td>Returning: </td> <td>students in NCE-II or NCE-III</td></tr>
+        <tr><td>New: </td> <td>students in NCE-I</td></tr>
         <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
         <tr><td colspan="2"><strong>Remark:</strong> <span tal:content="python: faculties[0]['not_categorized']" /> returning students are not categorized.