Index: /WAeUP_SRP/base/ScratchCards.py
===================================================================
--- /WAeUP_SRP/base/ScratchCards.py	(revision 3076)
+++ /WAeUP_SRP/base/ScratchCards.py	(revision 3077)
@@ -143,9 +143,9 @@
         export_file = "%s/export/%s-%s_archive_%s.csv" % (i_home,prefix,batch_no,current)
         lines = []
-        fields = ['prefix','cost','serial','pin','student']
+        fields = ['prefix','serial','pin','student']
         headline = ','.join(fields)
         out = open(export_file,"wb")
+        out.write('%(prefix)s,%(cost)8.2f,%(batch_no)d,%(nr)d,%(sold)s\n\n' % vars())
         out.write(headline +'\n')
-        out.write('%(prefix)s,%(cost)8.2f,%(batch_no)d,%(nr)d,%(sold)s\n' % vars())
         out.close()
         out = open(export_file,"a")
@@ -156,5 +156,5 @@
                                                                     batch_no,
                                                                     len(pins)))
-            
+
         pin_list = []
         for pin in pins:
@@ -167,6 +167,6 @@
         if delete:
             for pin in pin_list:
-                self.deleteRecord(pin)
-            msg = "deleted %(total)d pin from pins_catalog" % len(pin_list)
+                self.portal_pins.deleteRecord(pin)
+            msg = "deleted %d pin from portal_pins" % len(pin_list)
             logger.info(msg)
     ###)
Index: /WAeUP_SRP/base/skins/waeup_pins/archive.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_pins/archive.py	(revision 3076)
+++ /WAeUP_SRP/base/skins/waeup_pins/archive.py	(revision 3077)
@@ -25,7 +25,7 @@
         ob = getattr(context, id)
         ob['archiveBatch']()
-    message = 'portal_status_message=%s archived' % ' '.join(ids)
+    message = 'portal_status_message=%s archived!' % ' '.join(ids)
 else:
-    message = 'portal_status_message=psm_select_at_least_one_document'
+    message = 'portal_status_message=Select at least one batch to archive!'
 
 if REQUEST is not None:
Index: /WAeUP_SRP/base/skins/waeup_pins/archive_delete.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_pins/archive_delete.py	(revision 3076)
+++ /WAeUP_SRP/base/skins/waeup_pins/archive_delete.py	(revision 3077)
@@ -24,7 +24,7 @@
     context.manage_delObjects(ids)
 else:
-    message = 'portal_status_message=select at least one batch to archive and delete'
+    message = 'portal_status_message=Select at least one batch to archive and delete!'
 
 if REQUEST is not None:
     return REQUEST.RESPONSE.redirect("%s?%s" % (context.absolute_url(), message))
-    
+
Index: /WAeUP_SRP/base/skins/waeup_pins/pins_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_pins/pins_view.pt	(revision 3076)
+++ /WAeUP_SRP/base/skins/waeup_pins/pins_view.pt	(revision 3077)
@@ -88,13 +88,11 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="archive:method" value="archive"
+                <input type="submit" name="archive:method" value="Archive"
+                       class="destructive" i18n:attributes="value"
+                       />
+                <input type="submit" name="archive_delete:method" value="Archive & Delete"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('confirm archive', )" 
-                       />
-                <input type="submit" name="archive_delete:method" value="archive + delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('confirm archive and delete', )" 
+                       ('Do you really want to delete the pin batch?', )" 
                        />
             </td>