Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 3102)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 3103)
@@ -9,12 +9,13 @@
     <span tal:condition="info">
     <span tal:define= "is_so context/isSectionOfficer;
-                       is_ca info/is_ca;
-                       show_check_boxes info/show_check_boxes;
-                       has_verdict info/has_verdict;
-                       submission_allowed info/submission_allowed;
-                       rejection_allowed info/rejection_allowed;
-                       is_current_level info/is_current_level;
-                       is_student info/is_student;
-                       ">       
+    is_ca info/is_ca;
+    show_check_boxes info/show_check_boxes;
+    has_verdict info/has_verdict;
+    submission_allowed info/submission_allowed;
+    rejection_allowed info/rejection_allowed;
+    is_current_level info/is_current_level;
+    is_student info/is_student;
+    with_score not: info/without_score|nothing;
+    ">       
     <div style="text-align: right" 
          tal:condition="rejection_allowed">
@@ -83,5 +84,5 @@
         <th align='center'>sm</th>
         <th align='center'>cr</th>
-        <th align='center'>sc</th>
+        <th tal:condition="with_score" align='center'>sc</th>
         <th align='center'>gr</th>
         <th align='center'>wt</th>
@@ -107,5 +108,5 @@
           <td align="center" width="2%"><span tal:content="row/semester" /></td>
           <td align="center" width="2%" tal:content="row/credits"></td>
-          <td align="center" width="4%" tal:content="row/score"></td>
+          <td tal:condition="with_score" align="center" width="4%" tal:content="row/score"></td>
           <td align="center" width="2%" tal:content="row/grade"></td>
           <td align="center" width="2%" tal:content="row/weight"></td>
@@ -137,5 +138,5 @@
         <th align='center'>sm</th>
         <th align='center'>cr</th>
-        <th align='center'>sc</th>
+        <th tal:condition="with_score" align='center'>sc</th>
         <th align='center'>gr</th>
         <th align='center'>wt</th>
@@ -159,5 +160,5 @@
           <td align="center" width="2%"><span tal:content="row/semester" /></td>
           <td align="center" width="2%" tal:content="row/credits"></td>
-          <td align="center" width="4%" tal:content="row/score"></td>
+          <td tal:condition="with_score" align="center" width="4%" tal:content="row/score"></td>
           <td align="center" width="2%" tal:content="row/grade"></td>
           <td align="center" width="2%" tal:content="row/weight"></td>
@@ -191,5 +192,5 @@
           <td align="center" width="2%"><span tal:content="row/semester" /></td>
           <td align="center" width="2%" tal:content="row/credits"></td>
-          <td align="center" width="4%" tal:content="row/score"></td>
+          <td tal:condition="with_score" align="center" width="4%" tal:content="row/score"></td>
           <td align="center" width="2%" tal:content="row/grade"></td>
           <td align="center" width="2%" tal:content="row/weight"></td>
@@ -212,5 +213,5 @@
       <tr><th>sm:</th> <td>Semester</td></tr>
       <tr><th>cr:</th> <td>Credits</td></tr>
-      <tr><th>sc:</th> <td>Score</td></tr>
+      <tr tal:condition="with_score"><th>sc:</th> <td>Score</td></tr>
       <tr><th>gr: </th> <td>Grade</td></tr>
       <tr><th>wt: </th> <td>Weight</td></tr>
Index: WAeUP_SRP/uniben/waeup_custom/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/uniben/waeup_custom/getStudyLevelInfo.py	(revision 3102)
+++ WAeUP_SRP/uniben/waeup_custom/getStudyLevelInfo.py	(revision 3103)
@@ -100,4 +100,10 @@
 info['carry_overs'] = carry_overs
 # normal.sort(cmp_semester_id)
+info['without_score'] = without_score = True
+if without_score:
+    for rows in (normal1,normal2,normal3):
+        for row in rows:
+            row['score'] = 0
+        
 info['normal1'] = normal1
 info['normal2'] = normal2
@@ -111,4 +117,3 @@
 info['app'] = student.application
 info['app_doc'] = student.application.getContent()
-
 return info