Index: /WAeUP_SRP/base/skins/waeup_accommodation/change_bed.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_accommodation/change_bed.py	(revision 3168)
+++ /WAeUP_SRP/base/skins/waeup_accommodation/change_bed.py	(revision 3169)
@@ -46,15 +46,14 @@
         allocated_bed = res[0]
         if allocated_bed.bed_type == status:
-            logger.info('Status %s of %s has not changed' % (status,student_id))
+            logger.info('Status %s of %s has not changed.' % (status,student_id))
             psm='Student status has not changed!'
             break
             #return redirect("%s/%s/%s/waeup_document_view?portal_status_message=%s" % (students.absolute_url(),student_id,info['acco_id'],psm))
-        logger.info('Bed status %s of %s has changed to %s' % (allocated_bed.bed_type,student_id,status))
+        logger.info('Bed status %s of %s has changed to %s.' % (allocated_bed.bed_type,student_id,status))
         query = Eq('bed_type',status) & Eq('student',context.portal_accommodation.not_occupied)
         records = context.portal_accommodation.evalAdvancedQuery(query)
         if len(records) < 1:
-            psm='New bed allocation for %s failed, No bed free in category %s' % (student_id,status)
+            psm='Bed change for %s failed, no free bed in category %s.' % (student_id,status)
             logger.info(psm)
-            psm='Bed change failed!'
             break
         beds.modifyRecord(bed=allocated_bed.bed,student=beds.not_occupied)
@@ -76,5 +75,5 @@
         #acco_doc = info['acco_doc']
         #acco_doc.edit(mapping={'bed':"-- cancelled by officer due to failed bed change request --"})
-        logger.info('New bed allocation for %s failed, code = %s' % (student_id,code))
+        logger.info('Bed change for %s failed, code = %s' % (student_id,code))
         #logger.info('%s cancelled booking of bed %s by %s' % (member,bed,student_id))
         psm='Bed change failed!'
@@ -82,5 +81,5 @@
 
 info = {}
-records = [r for r in beds() if  r.student]
+records = [r for r in beds() if  r.student and  r.student != beds.not_occupied]
 list = []
 to_modify = []
@@ -91,10 +90,13 @@
         continue
     elif r.bed_type == sbt:
-        list.append("Student %s bed_type %s ok" % (r.student,r.bed_type))
+        #list.append("Student %s bed_type %s ok" % (r.student,r.bed_type))
         continue
     list.append("Student %s bed_type %s != %s" % (r.student,
                                                   r.bed_type,
                                                   info['student_status']))
-    to_modify.append((r.bed,r.student,info['student_status'],info['acco_doc']))
+    #to_modify.append((r.bed,r.student,info['student_status'],info['acco_doc']))
+    
+return "\r".join(list)
+    
 for former_bed, student, status,acco_doc in to_modify:
     beds.modifyRecord(bed=former_bed,student='')
Index: /WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt	(revision 3168)
+++ /WAeUP_SRP/base/skins/waeup_student/external_study_level_view.pt	(revision 3169)
@@ -1,5 +1,8 @@
 <metal:body use-macro="here/slip_template/macros/master">
   <metal:main fill-slot="main"
-          tal:define="info context/getStudyLevelInfo;">
+          tal:define="info context/getStudyLevelInfo;
+                      contact_student_form string:external_contact_student_form;
+                      study_level_view string:external_study_level_view;
+                      ">
              
   <metal:block use-macro="here/study_level_view/macros/edit_form" />
Index: /WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 3168)
+++ /WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 3169)
@@ -1,5 +1,7 @@
 <metal:body use-macro="here/main_template/macros/master">
   <metal:main fill-slot="main"
-          tal:define="info context/getStudyLevelInfo;">
+          tal:define="info context/getStudyLevelInfo;
+                      contact_student_form string:contact_student_form;
+                      study_level_view string:study_level_view;">
   <metal:block define-macro="edit_form">   
               
@@ -246,5 +248,5 @@
                      
               <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value string:study_level_view"/>  
+                     tal:attributes="value study_level_view"/>  
                      
               <br /><br />
@@ -290,7 +292,7 @@
                      
               <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value string:study_level_view"/>                         
+                     tal:attributes="value study_level_view"/>                         
               <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                     tal:attributes="value string:contact_student_form"/>                         
+                     tal:attributes="value contact_student_form"/>                         
 
           </td>
@@ -327,7 +329,7 @@
                      
               <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value string:external_study_level_view"/>                         
+                     tal:attributes="value study_level_view"/>                         
               <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                     tal:attributes="value string:external_contact_student_form"/>    
+                     tal:attributes="value contact_student_form"/>    
                                            
 
@@ -350,5 +352,5 @@
                    />
             <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value string:study_level_view"/>                       
+                     tal:attributes="value study_level_view"/>                       
           </td>                
       </table>
Index: /WAeUP_SRP/uniben/waeup_custom/search_students_form.pt
===================================================================
--- /WAeUP_SRP/uniben/waeup_custom/search_students_form.pt	(revision 3168)
+++ /WAeUP_SRP/uniben/waeup_custom/search_students_form.pt	(revision 3169)
@@ -81,5 +81,5 @@
                   <td tal:condition="options/ca_view|nothing">
                     <a href="id" 
-                       tal:attributes="href string:${context/portal_url}/campus/students/${student/id}/study_course/study_course/${student/level}/external_study_level_view"
+                       tal:attributes="href string:${context/portal_url}/campus/students/${student/id}/study_course/${student/level}/external_study_level_view"
                        target="edit"
                        onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
Index: /WAeUP_SRP/uniben/waeup_custom/srp_view.pt
===================================================================
--- /WAeUP_SRP/uniben/waeup_custom/srp_view.pt	(revision 3168)
+++ /WAeUP_SRP/uniben/waeup_custom/srp_view.pt	(revision 3169)
@@ -13,5 +13,9 @@
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
           <br />
-          You are logged in and viewing the portal's root folder. Please go to one of the sections above.     
+          You are logged in and viewing the portal's root folder. Please go to one of the sections above.   
+          <br /><br />
+          
+          <span tal:define="ca_view python: 'CourseAdvisers' in context.portal_membership.getAuthenticatedMember().getGroups()"
+                tal:condition="ca_view">The first-time access to the students section (Students tab above) my take some time. Your local roles are being determined.</span>  
           
        </span>