Index: WAeUP_SRP/base/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/base/doc/srp_documentation.mm	(revision 3030)
+++ WAeUP_SRP/base/doc/srp_documentation.mm	(revision 3172)
@@ -2,17 +2,4 @@
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1172489583516" TEXT="WAeUP Documentation">
-<node CREATED="1172489553062" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="right" TEXT="Glossary">
-<node CREATED="1172588742298" ID="Freemind_Link_495359346" LINK="../profiles/default/schemas.xml" MODIFIED="1173007237566" TEXT="Field Names (Attributes)"/>
-<node CREATED="1172588782286" ID="Freemind_Link_1234262632" LINK="../profiles/default/types.xml" MODIFIED="1172588916308" TEXT="Types"/>
-<node CREATED="1172588791669" ID="Freemind_Link_832896495" LINK="../profiles/default/layouts.xml" MODIFIED="1173007318993" TEXT="Labels (Titles)"/>
-<node CREATED="1196238383254" ID="Freemind_Link_105251244" MODIFIED="1196238410482" TEXT="Variables Naming">
-<node CREATED="1196238414175" ID="Freemind_Link_1389091182" MODIFIED="1196238448729" TEXT="Student">
-<node CREATED="1196238450567" ID="Freemind_Link_412992846" MODIFIED="1196239946904" TEXT="students_folder : &#xa;  the folder with students "/>
-<node CREATED="1196240327175" ID="Freemind_Link_1324355897" MODIFIED="1196240334961" TEXT="student_id"/>
-<node CREATED="1196240336208" ID="Freemind_Link_392767031" MODIFIED="1196240345004" TEXT="student_obj"/>
-<node CREATED="1196239950564" ID="Freemind_Link_1283570746" MODIFIED="1196240283454" TEXT="student_record:&#xa;record from students_catalog&#xa;students_catalog.getRecordByKey(student_id)&#xa;"/>
-</node>
-</node>
-</node>
 <node CREATED="1172489529057" FOLDED="true" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
@@ -131,5 +118,5 @@
 <node CREATED="1172156481009" ID="Freemind_Link_1817393683" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
 </node>
-<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883343230" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
 <node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_556396570" MODIFIED="1172163796143" TEXT="Student">
 <node CREATED="1171124982312" ID="Freemind_Link_683557361" LINK="../profiles/default/layouts/student_clearance_fe.xml" MODIFIED="1172590208847" TEXT="Layout: student_clearance_fe" VSHIFT="2"/>
@@ -205,5 +192,5 @@
 </node>
 </node>
-<node CREATED="1170082200667" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
+<node CREATED="1170082200667" FOLDED="true" ID="Freemind_Link_140160478" MODIFIED="1170082364784" TEXT="Payments">
 <node CREATED="1171711430276" ID="Freemind_Link_86727434" MODIFIED="1171711435834" TEXT="Id: payments"/>
 <node CREATED="1171711367726" ID="Freemind_Link_1873791240" MODIFIED="1171711381666" TEXT="Type: PaymentsFolder"/>
@@ -330,12 +317,37 @@
 </node>
 </node>
-<node CREATED="1200500239581" ID="Freemind_Link_318351857" MODIFIED="1200500251927" POSITION="right" TEXT="Old Documentation">
-<node CREATED="1200500254038" ID="Freemind_Link_1556830810" LINK="../../WAeUP_Doc/InstructionsPart1.html" MODIFIED="1200500331010" TEXT="InstructionsPart1"/>
-<node CREATED="1200500254038" ID="Freemind_Link_1914051391" LINK="../../WAeUP_Doc/InstructionsPart2.html" MODIFIED="1200500386200" TEXT="InstructionsPart2"/>
-<node CREATED="1200500254038" ID="Freemind_Link_49864370" LINK="../../WAeUP_Doc/InstructionsPart3.html" MODIFIED="1200500412566" TEXT="InstructionsPart3"/>
-<node CREATED="1200500254038" ID="Freemind_Link_1242839170" LINK="../../WAeUP_Doc/InstructionsPart4.html" MODIFIED="1200500436427" TEXT="InstructionsPart4"/>
-<node CREATED="1200500254038" ID="Freemind_Link_629032224" LINK="../../WAeUP_Doc/InstructionsPart5.html" MODIFIED="1200500454751" TEXT="InstructionsPart5"/>
-<node CREATED="1200500254038" ID="Freemind_Link_1794158955" LINK="../../WAeUP_Doc/InstructionsPart6.html" MODIFIED="1200500470854" TEXT="InstructionsPart6"/>
-<node CREATED="1200500254038" ID="Freemind_Link_350494723" LINK="../../WAeUP_Doc/InstructionsPart7.html" MODIFIED="1200500488122" TEXT="InstructionsPart7"/>
+<node CREATED="1200500239581" FOLDED="true" ID="Freemind_Link_318351857" MODIFIED="1200500251927" POSITION="left" TEXT="Old Documentation">
+<node CREATED="1200500254038" ID="Freemind_Link_1556830810" LINK="file:///home/perry/Zope/Products/WAeUP_Doc/InstructionsPart1.html" MODIFIED="1200561147628" TEXT="Setup of an SRP instance"/>
+<node CREATED="1200500254038" ID="Freemind_Link_1914051391" LINK="../../WAeUP_Doc/InstructionsPart2.html" MODIFIED="1200502851884" TEXT="SRP Backend Usage"/>
+<node CREATED="1200500254038" ID="Freemind_Link_1794158955" LINK="../../WAeUP_Doc/InstructionsPart6.html" MODIFIED="1200503022233" TEXT="Contact forms"/>
+<node CREATED="1200500254038" ID="Freemind_Link_1242839170" LINK="../../WAeUP_Doc/InstructionsPart4.html" MODIFIED="1200502952099" TEXT="Testing Accommodation"/>
+<node CREATED="1200500254038" ID="Freemind_Link_49864370" LINK="../../WAeUP_Doc/InstructionsPart3.html" MODIFIED="1200503076521" TEXT="Testing Application"/>
+<node CREATED="1200500254038" ID="Freemind_Link_350494723" LINK="../../WAeUP_Doc/InstructionsPart7.html" MODIFIED="1200503054207" TEXT="Testing Clearance"/>
+<node CREATED="1200500254038" ID="Freemind_Link_629032224" LINK="../../WAeUP_Doc/InstructionsPart5.html" MODIFIED="1200502991059" TEXT="Testing PUME"/>
+</node>
+<node CREATED="1200931065202" ID="Freemind_Link_1866715831" MODIFIED="1200931080820" POSITION="left" TEXT="New Documentation">
+<node CREATED="1200500254038" ID="Freemind_Link_1876930383" LINK="../../WAeUP_Doc/ImportVerdicts.html" MODIFIED="1200931201900" TEXT="Import Verdicts HOWTO"/>
+<node CREATED="1200500254038" ID="Freemind_Link_1970450916" LINK="../../WAeUP_Doc/ImportNew.html" MODIFIED="1203323590449" TEXT="New Import procedure "/>
+</node>
+<node CREATED="1172489553062" FOLDED="true" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="left" TEXT="Glossary">
+<node CREATED="1172588742298" ID="Freemind_Link_495359346" LINK="../profiles/default/schemas.xml" MODIFIED="1173007237566" TEXT="Field Names (Attributes)"/>
+<node CREATED="1172588782286" ID="Freemind_Link_1234262632" LINK="../profiles/default/types.xml" MODIFIED="1172588916308" TEXT="Types"/>
+<node CREATED="1172588791669" ID="Freemind_Link_832896495" LINK="../profiles/default/layouts.xml" MODIFIED="1173007318993" TEXT="Labels (Titles)"/>
+<node CREATED="1196238383254" ID="Freemind_Link_105251244" MODIFIED="1196238410482" TEXT="Variables Naming">
+<node CREATED="1196238414175" ID="Freemind_Link_1389091182" MODIFIED="1196238448729" TEXT="Student">
+<node CREATED="1196238450567" ID="Freemind_Link_412992846" MODIFIED="1196239946904" TEXT="students_folder : &#xa;  the folder with students "/>
+<node CREATED="1196240327175" ID="Freemind_Link_1324355897" MODIFIED="1196240334961" TEXT="student_id"/>
+<node CREATED="1196240336208" ID="Freemind_Link_392767031" MODIFIED="1196240345004" TEXT="student_obj"/>
+<node CREATED="1196239950564" ID="Freemind_Link_1283570746" MODIFIED="1196240283454" TEXT="student_record:&#xa;record from students_catalog&#xa;students_catalog.getRecordByKey(student_id)&#xa;"/>
+</node>
+</node>
+</node>
+<node CREATED="1201877638475" ID="Freemind_Link_312955008" MODIFIED="1201877709483" POSITION="right" TEXT="Quantity structure">
+<node CREATED="1201877714895" ID="Freemind_Link_1862106138" MODIFIED="1201877724946" TEXT="Students">
+<node CREATED="1201877848576" ID="Freemind_Link_552788283" MODIFIED="1201877974303" TEXT="Zope Database: "/>
+<node CREATED="1201877861169" ID="Freemind_Link_759610055" MODIFIED="1201877937556" TEXT="Filesystem: Images aprox 600 kb per student"/>
+</node>
+<node CREATED="1201877727911" ID="Freemind_Link_380010877" MODIFIED="1201877735965" TEXT="Academics"/>
+<node CREATED="1201877737347" ID="Freemind_Link_764317466" MODIFIED="1201877737347" TEXT=""/>
 </node>
 </node>